libabw::ABWZlibStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWZlibStream Class Reference

`#include <ABWZlibStream.h>`

Inheritance diagram for libabw::ABWZlibStream:

## Public Member Functions
| ABWZlibStream (librevenge::RVNGInputStream *input)
| ~ABWZlibStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *)
librevenge::RVNGInputStream * | getSubStreamById (unsigned)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()
unsigned long | getSize () const

## Private Member Functions
| ABWZlibStream (const ABWZlibStream &)
ABWZlibStream & | operator= (const ABWZlibStream &)

## Private Attributes
librevenge::RVNGInputStream * | m_input
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

libabw::ABWZlibStream::ABWZlibStream | ( | librevenge::RVNGInputStream * | input | ) |

libabw::ABWZlibStream::~ABWZlibStream | ( |  | ) |
| inline

libabw::ABWZlibStream::ABWZlibStream | ( | const ABWZlibStream & |  | ) |
| private

## Member Function Documentation

bool libabw::ABWZlibStream::existsSubStream | ( | const char * |  | ) |
| inline

unsigned long libabw::ABWZlibStream::getSize | ( |  | ) | const
| inline

librevenge::RVNGInputStream* libabw::ABWZlibStream::getSubStreamById | ( | unsigned |  | ) |
| inline

librevenge::RVNGInputStream* libabw::ABWZlibStream::getSubStreamByName | ( | const char * |  | ) |
| inline

bool libabw::ABWZlibStream::isEnd | ( |  | ) |

bool libabw::ABWZlibStream::isStructured | ( |  | ) |
| inline

ABWZlibStream& libabw::ABWZlibStream::operator= | ( | const ABWZlibStream & |  | ) |
| private

const unsigned char * libabw::ABWZlibStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libabw::ABWZlibStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

unsigned libabw::ABWZlibStream::subStreamCount | ( |  | ) |
| inline

const char* libabw::ABWZlibStream::subStreamName | ( | unsigned |  | ) |
| inline

long libabw::ABWZlibStream::tell | ( |  | ) |

## Member Data Documentation

std::vector<unsigned char> libabw::ABWZlibStream::m_buffer
| private

Referenced by ABWZlibStream(), getSize(), isEnd(), read(), and seek().

librevenge::RVNGInputStream* libabw::ABWZlibStream::m_input
| private

Referenced by ABWZlibStream(), isEnd(), read(), seek(), and tell().

volatile long libabw::ABWZlibStream::m_offset
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- ABWZlibStream.h
- ABWZlibStream.cpp